org.apache.hadoop.mapred.nativetask

## Interface INativeHandler

- All Superinterfaces:
    NativeDataSource, NativeDataTarget
  All Known Implementing Classes:
    NativeBatchProcessor

      @InterfaceAudience.Private
      public interface INativeHandler
      extends NativeDataTarget, NativeDataSource

  A Handler accept input, and give output can be used to transfer command and data

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ReadWriteBuffer` | `call(Command command, ReadWriteBuffer parameter)` call command to downstream
    `void` | `close()` close the native handler
    `long` | `getNativeHandler()`
    `void` | `init(org.apache.hadoop.conf.Configuration conf)` init the native handler
    `String` | `name()`
    `void` | `setCommandDispatcher(CommandDispatcher handler)`

    - ### Methods inherited from interface org.apache.hadoop.mapred.nativetask.NativeDataTarget

      `finishSendData, getOutputBuffer, sendData`

    - ### Methods inherited from interface org.apache.hadoop.mapred.nativetask.NativeDataSource

      `getInputBuffer, loadData, setDataReceiver`

- - ### Method Detail

    - #### name

          String name()

    - #### getNativeHandler

          long getNativeHandler()

    - #### init

          void init(org.apache.hadoop.conf.Configuration conf)
             throws IOException

      init the native handler
      Throws:
        `IOException`

    - #### close

          void close()
              throws IOException

      close the native handler
      Throws:
        `IOException`

    - #### call

          ReadWriteBuffer call(Command command,
                               ReadWriteBuffer parameter)
                        throws IOException

      call command to downstream
      Throws:
        `IOException`

    - #### setCommandDispatcher

          void setCommandDispatcher(CommandDispatcher handler)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.